@import "../../scss/variables.scss";

@mixin ask-container-styles($ask-container-palette) {
  .noku-library-ask-container {
    &.ask {
      .finish-step {
        transform: translate(0%);
        visibility: visible;
      }
    }

    &.load {
      .loader-layer {
        opacity: 1;
      }
    }

    &.finish {
      .checkmark__circle {
        animation: stroke 0.6s cubic-bezier(0.65, 0, 0.45, 1) forwards;
      }
      .checkmark__check {
        animation: stroke 0.3s cubic-bezier(0.65, 0, 0.45, 1) 0.5s forwards;
      }
    }

    .finish-step {
      position: absolute;
      left: 0;
      right: 0;
      top: 0;
      bottom: 0;
      z-index: 999;
      background-color: rgba(map-get($ask-container-palette, "primary-color"), 0.9);
      text-align: center;
      transition: all 0.5s;
      transform: translateY(100%);
      visibility: hidden;

      .ask-layer {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        @media all and (max-width: $mobile) {
          width: calc(100% - 40px);
        }

        .message {
          font-weight: 400;
          color: $white;
          font-size: 14px;
          line-height: 22px;

          .quantity,
          .address {
            color: map-get($map: $ask-container-palette, $key: "coin-color");
            font-weight: bold;
          }

          .fee {
            font-size: 14px;
            opacity: 0.5;
            margin-top: 5px;
            margin-bottom: 15px;
          }
        }

        .buttons {
          > *:first-child {
            margin-right: 20px;
          }
          @media all and (max-width: $mobile) {
            > *:first-child {
              margin-right: 0;
            }
            > *:last-child {
              margin-bottom: 20px;
            }
          }

          &.column-reverse {
            display: flex;
            flex-flow: column-reverse;
          }
        }
      }

      .loader-layer {
        opacity: 0;
        transition: all 0.5s;
        pointer-events: none;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);

        .checkmark {
          height: 40px;
          border-radius: 50%;
          display: block;
          stroke-width: 2px;
          stroke-miterlimit: 10;
          pointer-events: none;
          left: -2px;
          top: -10px;
          transition: all 0.3s ease-in-out;

          &.finish-load {
            .checkmark__circle {
              stroke-dasharray: 166;
              stroke-dashoffset: 166;
              stroke-width: 4px;
              stroke-miterlimit: 10;
              stroke: #fff;
              fill: none;
            }

            .checkmark__check {
              transform-origin: 50% 50%;
              stroke-dasharray: 48;
              stroke-dashoffset: 48;
            }
          }
        }

        .progress {
          transform: translateY(-20px);
          margin-top: 0;
          opacity: 0;
        }
      }
    }
  }
}
